Skip to content
💡 Want to test this API interactively? Open API Playground ↗

Get Product List ​

Query product list with filtering and pagination support.

Basic Information ​

PropertyValue
MethodPOST
Path/seller/product
AuthenticationBearer Token
Content-Typeapplication/json

Request Headers ​

HeaderTypeRequiredDescription
AuthorizationstringYesBearer <accessToken>

Request Body Parameters ​

ParameterTypeRequiredDescription
pageIndexintegerNoPage number, default is 1. Range: 1–100
pageSizeintegerNoItems per page. Range: 1–100
categoryId3integerNoPlatform category ID
productSpuNumstringNoProduct number
brandIdsarrayNoBrand ID list
titlestringNoProduct title (fuzzy match)
minPricenumberNoMinimum price
maxPricenumberNoMaximum price
productSpuStatusintegerNoProduct status: 0 Draft, 1 On sale, 2 Off shelf, 4 Under review, 5 Exception
createTimeStartstringNoCreation time start (ISO 8601)
createTimeEndstringNoCreation time end (ISO 8601)
updateTimeStartstringNoUpdate time start (ISO 8601)
updateTimeEndstringNoUpdate time end (ISO 8601)

Request Example ​

http
POST /merchant-api/seller/product HTTP/1.1
Host: paas-gateway.imetastore.io
Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...
Content-Type: application/json

{
  "pageIndex": 1,
  "pageSize": 20,
  "productSpuStatus": 1
}

Response Parameters ​

ParameterTypeDescription
data.pageIndexintegerCurrent page
data.pageSizeintegerPage size
data.totalCountintegerTotal count
data.pageCountintegerTotal pages
data.listarrayProduct list
data.list[].idintegerProduct SPU ID
data.list[].titlestringProduct title
data.list[].productSpuNumstringProduct number
data.list[].brandIdintegerBrand ID
data.list[].brandNamestringBrand name
data.list[].categoryId3integerCategory ID
data.list[].categoryName3stringCategory name
data.list[].productSpuStatusintegerProduct status
data.list[].publishDatestringPublish date
data.list[].updateTimestringUpdate time
data.list[].deliveryTypeintegerDelivery type
data.list[].isConsignmentbooleanIs consignment product
data.list[].descriptionstringProduct description
data.list[].isStandardbooleanIs standard product
data.list[].standardIdstringStandard ID
data.list[].spuItemUrlstringProduct detail link
data.list[].spuListUrlstringProduct list link
data.list[].offShelfReasonstringOff-shelf reason
data.list[].offShelfTimestringOff-shelf time
data.list[].productSpuImagesarrayProduct images
data.list[].productSpuImages[].imageUrlstringImage URL
data.list[].productSpuCategoryAttrsarrayCategory attributes
data.list[].productSpuCategoryAttrs[].categoryAttrNamestringAttribute name
data.list[].productSpuCategoryAttrs[].categoryAttrValueNamestringAttribute value
data.list[].productSkusarraySKU list
data.list[].productSkus[].idintegerSKU ID
data.list[].productSkus[].titlestringSKU title
data.list[].productSkus[].pricenumberSKU price
data.list[].productSkus[].currencyCodestringCurrency code
data.list[].productSkus[].currencySymbolstringCurrency symbol
data.list[].productSkus[].stockintegerAvailable stock
data.list[].productSkus[].alertStockintegerStock alert threshold
data.list[].productSkus[].minLimitintegerMinimum purchase limit
data.list[].productSkus[].maxLimitintegerMaximum purchase limit
data.list[].productSkus[].deliveryTimeintegerDelivery time
data.list[].productSkus[].deliveryTimeUnitintegerDelivery time unit (1: Day, 2: Hour, 3: Minute)
data.list[].productSkus[].productSkuAttrMapobjectSKU attribute key-value pairs
data.list[].productSkus[].sortstringSort value
data.list[].productSkus[].updateTimestringUpdate time

Success Response ​

json
{
  "code": "0000",
  "msg": "Success",
  "time": "2025-12-17T13:44:16.000Z",
  "data": {
    "pageIndex": 1,
    "pageSize": 20,
    "totalCount": 56,
    "pageCount": 3,
    "list": [
      {
        "id": 2001591587541073922,
        "title": "Premium Game Currency Pack",
        "productSpuNum": "SPU-20251201-001",
        "brandId": 100,
        "brandName": "GameBrand",
        "categoryId3": 500,
        "categoryName3": "Game Currency",
        "productSpuStatus": 1,
        "publishDate": "2025-12-01T10:00:00.000Z",
        "updateTime": "2025-12-10T08:30:00.000Z",
        "deliveryType": 0,
        "isConsignment": false,
        "isStandard": true,
        "standardId": "STD-001",
        "description": "Premium in-game currency pack",
        "spuItemUrl": "https://www.igv.com/items/detail/2001591587541073922",
        "spuListUrl": "https://www.igv.com/items/list/2001591587541073922",
        "productSpuImages": [
          { "imageUrl": "https://example.com/product.png" }
        ],
        "productSpuCategoryAttrs": [
          {
            "categoryAttrName": "Platform",
            "categoryAttrValueName": "PC"
          }
        ],
        "productSkus": [
          {
            "id": 3001591587541073001,
            "title": "1000 Gold Coins",
            "price": 9.99,
            "currencyCode": "USD",
            "currencySymbol": "$",
            "stock": 500,
            "alertStock": 50,
            "minLimit": 1,
            "maxLimit": 10,
            "deliveryTime": 24,
            "deliveryTimeUnit": 2,
            "productSkuAttrMap": { "Denomination": "1000" },
            "sort": "1",
            "updateTime": "2025-12-10T08:30:00.000Z"
          }
        ]
      }
    ]
  }
}

All game copyrights, trademarks, and service marks belong to their respective owners.